function onBegin()
    disableRetry()
    disableMovement()
    wait(1.5)
    setFlag("darken", true)
    wait(0.5)
    instantTeleportTo(33896, 1451, "E3")
    setFlag("darken", false)
    enableRetry()
    enableMovement()
    endCutscene()
end